Name:		JMySpell-core
Version:	1.0.0_beta2
Release:	1%{?dist}
Summary:	Java ™ support for myspell/hunspell spell checkers
Group:		Applications/Text
License:	LGPLv2
URL:		http://javahispano.net/projects/jmyspell/
Source0:	http://javahispano.net/frs/download.php/334/jmyspell-core-src.zip
Source1:	JMySpell-build.xml
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires:	java-devel >= 1.5 
BuildRequires:	jpackage-utils, ant

Requires:	java >= 1.5
Requires(post):	jpackage-utils
Requires(postun):	jpackage-utils

%description 
JMySpell is a spell-checker for Java applications, capable
of seamlessly incorporating the existing OpenOffice.org
dictionaries. Based on MySpell but written in 100% Java.

%prep
%setup -q -c -n %{name}-%{version}

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;
cp %{SOURCE1} build.xml


%build
ant jar

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -D dist/JMySpell-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
	ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*

%changelog
* Sun Nov 23 2008 Ismael Olea <ismael@olea.org> 1.0.0_beta2-1
- First version
